summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authormatclab2021-12-25 11:52:11 +0100
committermatclab2021-12-25 11:52:11 +0100
commit6b3898c0a2937887ce39a723b4cc3ca5911b20ba (patch)
tree2f000c37d4f3889709f7c8405a650b33d1cb9c50
downloadaur-6b3898c0a2937887ce39a723b4cc3ca5911b20ba.tar.gz
First release. Needed for ledger-autosync-git
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD42
2 files changed, 63 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..8a44ee1fc2e
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = python-ofxclient-git
+ pkgdesc = Simple ofxclient command line utility and OFX client libraries for development.
+ pkgver = 2.0.4.r0.g4da2719
+ pkgrel = 1
+ url = https://github.com/captin411/ofxclient
+ arch = x86_64
+ arch = i686
+ license = MIT
+ depends = python>=3.7
+ depends = python-beautifulsoup4
+ depends = ofxparse
+ depends = ofxhome
+ depends = python-keyring
+ depends = python-configargparse
+ depends = python-ofxparse
+ provides = ofxclient
+ conflicts = ofxclient
+ source = ofxclient::git+https://github.com/captin411/ofxclient.git#branch=master
+ md5sums = SKIP
+
+pkgname = python-ofxclient-git
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..d33ee4457a2
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,42 @@
+# Maintainer: lothar_m <lothar_m at riseup dot net>
+_pkgname=ofxclient
+pkgname=python-ofxclient-git
+pkgver=2.0.4.r0.g4da2719
+pkgrel=1
+pkgdesc="Simple ofxclient command line utility and OFX client libraries for development."
+arch=('x86_64' 'i686')
+url="https://github.com/captin411/ofxclient"
+license=('MIT')
+depends=('python>=3.7'
+ 'python-beautifulsoup4'
+ 'ofxparse'
+ 'ofxhome'
+ 'python-keyring'
+ 'python-configargparse'
+ 'python-ofxparse'
+ )
+# makedepends=()
+provides=(ofxclient)
+conflicts=(ofxclient)
+source=('ofxclient::git+https://github.com/captin411/ofxclient.git#branch=master')
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$_pkgname"
+ ( set -o pipefail
+ git describe --long --tags 2>/dev/null | sed 's/^v//;s/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build() {
+ cd "$srcdir/$_pkgname"
+ python setup.py build
+}
+
+package() {
+ # install package
+ cd "$srcdir/$_pkgname"
+ python setup.py install --root="$pkgdir/"
+}
+